Package org.apache.batchee.container.services

## Interface BatchKernelService

- All Superinterfaces:
    `BatchService`
  All Known Implementing Classes:
    `DefaultBatchKernel`

      public interface BatchKernelService
      extends BatchService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BatchFlowInSplitWorkUnit` | `buildNewFlowInSplitWorkUnit​(FlowInSplitBuilderConfig config, JobContextImpl jc)` |
    `List<BatchPartitionWorkUnit>` | `buildNewParallelPartitions​(PartitionsBuilderConfig config, JobContextImpl jc, StepContextImpl sc)` |
    `BatchFlowInSplitWorkUnit` | `buildOnRestartFlowInSplitWorkUnit​(FlowInSplitBuilderConfig config, JobContextImpl jc)` |
    `List<BatchPartitionWorkUnit>` | `buildOnRestartParallelPartitions​(PartitionsBuilderConfig config, JobContextImpl jc, StepContextImpl sc)` |
    `InternalJobExecution` | `getJobExecution​(long executionId)` |
    `javax.batch.runtime.JobInstance` | `getJobInstance​(long instanceId)` |
    `int` | `getJobInstanceCount​(String jobName)` |
    `boolean` | `isExecutionRunning​(long executionId)` |
    `void` | `jobExecutionDone​(RuntimeJobExecution jobExecution)` |
    `void` | `restartGeneratedJob​(BatchWorkUnit batchWork)` |
    `InternalJobExecution` | `restartJob​(long executionID, Properties overrideJobParameters)` |
    `void` | `startGeneratedJob​(BatchWorkUnit batchWork)` |
    `InternalJobExecution` | `startJob​(String jobXML, Properties jobParameters)` |
    `void` | `stopJob​(long executionID)` |

    - ### Methods inherited from interface org.apache.batchee.spi.BatchService

      `init`

- - ### Method Detail

    - #### getJobExecution

          InternalJobExecution getJobExecution​(long executionId)
                                        throws javax.batch.operations.NoSuchJobExecutionException

      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`

    - #### restartJob

          InternalJobExecution restartJob​(long executionID,
                                          Properties overrideJobParameters)
                                   throws javax.batch.operations.JobRestartException,
                                          javax.batch.operations.JobExecutionAlreadyCompleteException,
                                          javax.batch.operations.JobExecutionNotMostRecentException,
                                          javax.batch.operations.NoSuchJobExecutionException

      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.JobExecutionNotMostRecentException`
        `javax.batch.operations.NoSuchJobExecutionException`

    - #### startJob

          InternalJobExecution startJob​(String jobXML,
                                        Properties jobParameters)
                                 throws javax.batch.operations.JobStartException

      Throws:
        `javax.batch.operations.JobStartException`

    - #### stopJob

          void stopJob​(long executionID)
                throws javax.batch.operations.NoSuchJobExecutionException,
                       javax.batch.operations.JobExecutionNotRunningException

      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobExecutionNotRunningException`

    - #### jobExecutionDone

          void jobExecutionDone​(RuntimeJobExecution jobExecution)

    - #### getJobInstanceCount

          int getJobInstanceCount​(String jobName)

    - #### getJobInstance

          javax.batch.runtime.JobInstance getJobInstance​(long instanceId)

    - #### buildNewParallelPartitions

          List<BatchPartitionWorkUnit> buildNewParallelPartitions​(PartitionsBuilderConfig config,
                                                                  JobContextImpl jc,
                                                                  StepContextImpl sc)
                                                           throws javax.batch.operations.JobRestartException,
                                                                  javax.batch.operations.JobStartException

      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobStartException`

    - #### buildOnRestartParallelPartitions

          List<BatchPartitionWorkUnit> buildOnRestartParallelPartitions​(PartitionsBuilderConfig config,
                                                                        JobContextImpl jc,
                                                                        StepContextImpl sc)
                                                                 throws javax.batch.operations.JobRestartException,
                                                                        javax.batch.operations.JobExecutionAlreadyCompleteException,
                                                                        javax.batch.operations.JobExecutionNotMostRecentException

      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.JobExecutionNotMostRecentException`

    - #### startGeneratedJob

          void startGeneratedJob​(BatchWorkUnit batchWork)

    - #### restartGeneratedJob

          void restartGeneratedJob​(BatchWorkUnit batchWork)
                            throws javax.batch.operations.JobRestartException

      Throws:
        `javax.batch.operations.JobRestartException`

    - #### isExecutionRunning

          boolean isExecutionRunning​(long executionId)

    - #### buildNewFlowInSplitWorkUnit

          BatchFlowInSplitWorkUnit buildNewFlowInSplitWorkUnit​(FlowInSplitBuilderConfig config,
                                                               JobContextImpl jc)

    - #### buildOnRestartFlowInSplitWorkUnit

          BatchFlowInSplitWorkUnit buildOnRestartFlowInSplitWorkUnit​(FlowInSplitBuilderConfig config,
                                                                     JobContextImpl jc)